## org.eclipse.jst.jsf.core.jsfappconfig
Class AbstractJSFAppConfigLocater

    java.lang.Object
      org.eclipse.jst.jsf.core.jsfappconfig.AbstractJSFAppConfigLocater

All Implemented Interfaces:
  IJSFAppConfigLocater

Direct Known Subclasses:
  ImplicitRuntimeJSFAppConfigLocater, RuntimeClasspathJSFAppConfigLocater, WebContentRelativeJSFAppConfigLocater

    public abstract class AbstractJSFAppConfigLocater

extends java.lang.Object
implements IJSFAppConfigLocater

Abstract implementation of `IJSFAppConfigLocater` that provides common locater functionality. `IJSFAppConfigLocater` implementations MUST extend this class or provide similar functionality.

Provisional API - subject to change

Constructor Summary
`AbstractJSFAppConfigLocater()`

Method Summary
`void` `dispose()` Disposes of the instance.
`org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager` `getJSFAppConfigManager()` Gets the `IJSFAppConfigManager` instance to which this locater belongs.
`java.util.Set<IJSFAppConfigProvider>` `getJSFAppConfigProviders()` Gets the set of `IJSFAppConfigProvider` instances that this locater has located.
`void` `setJSFAppConfigManager(org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager manager)` Sets the `IJSFAppConfigManager` instance to which this locater belongs.
`abstract void` `startLocating()` Starts locating JSF application configuration resources.
`abstract void` `stopLocating()` Stops locating JSF application configuration resources.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJSFAppConfigLocater

    public AbstractJSFAppConfigLocater()

Method Detail

### setJSFAppConfigManager

    public void setJSFAppConfigManager(org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager manager)

  Description copied from interface: `IJSFAppConfigLocater`
  Sets the `IJSFAppConfigManager` instance to which this locater belongs.

  Specified by:
    `setJSFAppConfigManager` in interface `IJSFAppConfigLocater`
  Parameters:
    `manager` - `IJSFAppConfigManager` instance to be set.

### getJSFAppConfigManager

    public org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager getJSFAppConfigManager()

  Description copied from interface: `IJSFAppConfigLocater`
  Gets the `IJSFAppConfigManager` instance to which this locater belongs.

  Specified by:
    `getJSFAppConfigManager` in interface `IJSFAppConfigLocater`
  Returns:
    `IJSFAppConfigManager` instance to which this locater belongs.

### startLocating

    public abstract void startLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Starts locating JSF application configuration resources.

  Specified by:
    `startLocating` in interface `IJSFAppConfigLocater`

### stopLocating

    public abstract void stopLocating()

  Description copied from interface: `IJSFAppConfigLocater`
  Stops locating JSF application configuration resources.

  Specified by:
    `stopLocating` in interface `IJSFAppConfigLocater`

### getJSFAppConfigProviders

    public java.util.Set<IJSFAppConfigProvider> getJSFAppConfigProviders()

  Description copied from interface: `IJSFAppConfigLocater`
  Gets the set of `IJSFAppConfigProvider` instances that this locater has located.

  Specified by:
    `getJSFAppConfigProviders` in interface `IJSFAppConfigLocater`
  Returns:
    set of `IJSFAppConfigProvider` instances.

### dispose

    public void dispose()

  Description copied from interface: `IJSFAppConfigLocater`
  Disposes of the instance.

  Specified by:
    `dispose` in interface `IJSFAppConfigLocater`